Subject: Re: bug#65769: greetd-wlgreet-sway-session result is blinking cursor

From: chris <[email-masked]>
Date: Fri, 8 Sep 2023 08:31:44 -0700

On  9月08日 金, ( wrote:
> I believe that may have been moi :)  This is really odd.  I seem to be
> the only person who has ever managed to make it work (though there's a
> bit of a reporting bias there in that people who do manage probably
> won't bring it up...)
> 
> It would be great if anyone trying to use it could possibly reply here
> with a link, attachment, or copy of the config.scm they use (whether
> it's working for them or not; both are useful.)
> 
> I'll start:
> 
>   https://git.sr.ht/~unmatched-paren/conf/tree/root/item/system.scm
> 
>   -- (

Thanks for replying to my issue :)

A "solution" is discussed earlier in the thread https://issues.guix.gnu.org/65769#4

> The greeter works after creating /run/user/986/wayland-1.lock and changing the owner of /run/user/986 and /run/user/986/wayland-1.lock to "greeter".

My system config is here

  https://raw.githubusercontent.com/iambumblehead/guix-home/main/guix.system.scm